bifunctors-4.1.0.1: Bifunctors

Portability | portable
Stability | provisional
Maintainer | Edward Kmett <ekmett@gmail.com>
Safe Haskell | Safe-Inferred

Data.Semigroup.Bitraversable

Description

# Documentation

class (Bifoldable1 t, Bitraversable t) => Bitraversable1 t where Source

Methods

bitraverse1 :: Apply f => (a -> f b) -> (c -> f d) -> t a c -> f (t b d)Source

bisequence1 :: Apply f => t (f a) (f b) -> f (t a b)Source

Instances

Bitraversable1 Either |
Bitraversable1 (,) |
Bitraversable1 Const |
Bitraversable1 ((,,) x) |
Bitraversable1 (Tagged *) |
Traversable1 f => Bitraversable1 (Clown f) |
Bitraversable1 p => Bitraversable1 (Flip p) |
Traversable1 g => Bitraversable1 (Joker g) |
Bitraversable1 p => Bitraversable1 (WrappedBifunctor p) |
Bitraversable1 ((,,,) x y) |
(Bitraversable1 f, Bitraversable1 g) => Bitraversable1 (Product f g) |
Bitraversable1 ((,,,,) x y z) |

bifoldMap1Default :: (Bitraversable1 t, Semigroup m) => (a -> m) -> (b -> m) -> t a b -> mSource